{{ $appSection := "accessProxy" -}}
{{ $appName := (index . "Values" $appSection "name") -}}
{{- if index . "Values" $appSection "enabled" -}}
{{- if gt (len (index . "Values" $appSection "ingress" "hostsInternal")) 0 -}}

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ $appName }}-internal
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    {{- if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
    acme.cert-manager.io/http01-edit-in-place: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    {{- end }}
spec:
  ingressClassName: nginx-internal
  rules:
    {{- range (index .Values $appSection "ingress" "hostsInternal") }}
    - host: {{ . | quote }}
      http:
        paths:
          - backend:
              service:
                name: {{ $appName }}
                port:
                  number: {{ index $.Values $appSection "port" }}
            path: /
            pathType: Prefix
    {{- end }}
  {{ if eq (index .Values $appSection "ingress" "tls" | toString) "true" }}
  tls:
    - hosts: {{ index .Values $appSection "ingress" "hostsInternal" | toYaml | nindent 8 }}
      secretName: {{ index .Values $appSection "ingress" "hostsInternal" 0 }}-tls
  {{ end }}

{{ end }}
{{ end }}
